import Token from '../src/Token';

const value = 'token value (very secret)';
const expiry = 1972;

const token = new Token(value, expiry);

test('constructor', () => {
    expect(token.token).toEqual(value);
    expect(token.expiry).toEqual(expiry);
});

test('immutability', () => {
    expect(() => token.token = 'new value!').toThrow(TypeError);
});
