import User from '../src/User';

const name = 'test name';
const authorities = ['a', 'b'];
const enabled = true;

const user = new User(name, authorities, enabled);

test('constructor', () => {
    expect(user.name).toEqual(name);
    expect(user.authorities).toEqual(authorities);
    expect(user.enabled).toEqual(enabled);
});

test('immutability', () => {
    expect(() => user.name = 'new name').toThrow(TypeError);
});
