import Worker from '../src/Worker';

const name = 'test name';
const hostname = 'over-there';
const load = 9801;
const lastPing = 1970;
const job = {files: []};

const worker = new Worker(name, hostname, load, lastPing, job);

test('constructor', () => {
    expect(worker.name).toEqual(name);
    expect(worker.hostname).toEqual(hostname);
    expect(worker.load).toEqual(load);
    expect(worker.lastPing).toEqual(lastPing);
    expect(worker.job).toEqual(job);
});

test('immutability', () => {
    expect(() => worker.name = 'new test name').toThrow(TypeError);
});
