import Note from "../src/Note";

test('parse', () => {
    const obj = {
        severity: 'VERY BAD',
        message: 'jk lol',
    };

    const note = Note.parse(obj);

    expect(note.severity).toEqual(obj.severity);
    expect(note.message).toEqual(obj.message);
});

test('parse null', () => {
    const note = Note.parse(null);
    expect(note).toBeNull();
});
