import Http from "../../src/backend/Http";

test('uninstantiable', () => {
    const http = new Http();
    expect(() => http.request('GET', 'https://f00f.nl/', undefined, true))
        .toThrow(TypeError);
});

test('toString on data stringifies', () => {
    const http = new Http();
    const res = http.reply({data: 'data', meta: 'not data'});
    expect(res.toString()).toEqual('{"data":"data","meta":"not data"}');
});
